org.apache.activemq.artemis.jms.bridge.impl

## Class JMSBridgeImpl

- java.lang.Object
- - org.apache.activemq.artemis.jms.bridge.impl.JMSBridgeImpl

- All Implemented Interfaces:
    org.apache.activemq.artemis.core.server.ActiveMQComponent, JMSBridge

      public final class JMSBridgeImpl
      extends Object
      implements JMSBridge

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSBridgeImpl()`
    `JMSBridgeImpl(ConnectionFactoryFactory sourceCff, ConnectionFactoryFactory targetCff, DestinationFactory sourceDestinationFactory, DestinationFactory targetDestinationFactory, String sourceUsername, String sourcePassword, String targetUsername, String targetPassword, String selector, long failureRetryInterval, int maxRetries, QualityOfServiceMode qosMode, int maxBatchSize, long maxBatchTime, String subName, String clientID, boolean addMessageIDInHeader)`
    `JMSBridgeImpl(ConnectionFactoryFactory sourceCff, ConnectionFactoryFactory targetCff, DestinationFactory sourceDestinationFactory, DestinationFactory targetDestinationFactory, String sourceUsername, String sourcePassword, String targetUsername, String targetPassword, String selector, long failureRetryInterval, int maxRetries, QualityOfServiceMode qosMode, int maxBatchSize, long maxBatchTime, String subName, String clientID, boolean addMessageIDInHeader, MBeanServer mbeanServer, String objectName)`
    `JMSBridgeImpl(ConnectionFactoryFactory sourceCff, ConnectionFactoryFactory targetCff, DestinationFactory sourceDestinationFactory, DestinationFactory targetDestinationFactory, String sourceUsername, String sourcePassword, String targetUsername, String targetPassword, String selector, long failureRetryInterval, int maxRetries, QualityOfServiceMode qosMode, int maxBatchSize, long maxBatchTime, String subName, String clientID, boolean addMessageIDInHeader, MBeanServer mbeanServer, String objectName, long failoverTimeout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `long` | `getAbortedMessageCount()`
    `String` | `getBridgeName()`
    `String` | `getClientID()`
    `long` | `getFailoverTimeout()`
    `long` | `getFailureRetryInterval()`
    `int` | `getMaxBatchSize()`
    `long` | `getMaxBatchTime()`
    `int` | `getMaxRetries()`
    `long` | `getMessageCount()`
    `String` | `getPasswordCodec()`
    `QualityOfServiceMode` | `getQualityOfServiceMode()`
    `String` | `getSelector()`
    `DestinationFactory` | `getSourceDestinationFactory()`
    `String` | `getSourcePassword()`
    `String` | `getSourceUsername()`
    `String` | `getSubscriptionName()`
    `DestinationFactory` | `getTargetDestinationFactory()`
    `String` | `getTargetPassword()`
    `String` | `getTargetUsername()`
    `boolean` | `isAddMessageIDInHeader()`
    `boolean` | `isFailed()`
    `boolean` | `isPaused()`
    `boolean` | `isStarted()`
    `boolean` | `isUseMaskedPassword()`
    `void` | `pause()`
    `void` | `resume()`
    `void` | `setAddMessageIDInHeader(boolean value)`
    `JMSBridgeImpl` | `setBridgeName(String name)`
    `void` | `setClientID(String clientID)`
    `void` | `setFailoverTimeout(long failoverTimeout)`
    `void` | `setFailureRetryInterval(long interval)`
    `void` | `setMaxBatchSize(int size)`
    `void` | `setMaxBatchTime(long time)`
    `void` | `setMaxRetries(int retries)`
    `void` | `setPasswordCodec(String passwordCodec)`
    `void` | `setQualityOfServiceMode(QualityOfServiceMode mode)`
    `void` | `setSelector(String selector)`
    `void` | `setSourceConnectionFactoryFactory(ConnectionFactoryFactory cff)`
    `void` | `setSourceDestinationFactory(DestinationFactory dest)`
    `void` | `setSourcePassword(String pwd)`
    `void` | `setSourceUsername(String name)`
    `void` | `setSubscriptionName(String subname)`
    `void` | `setTargetConnectionFactoryFactory(ConnectionFactoryFactory cff)`
    `void` | `setTargetDestinationFactory(DestinationFactory dest)`
    `void` | `setTargetPassword(String pwd)`
    `void` | `setTargetUsername(String name)`
    `void` | `setTransactionManager(TransactionManager tm)`
    `void` | `setUseMaskedPassword(boolean maskPassword)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSBridgeImpl

          public JMSBridgeImpl()

    - #### JMSBridgeImpl

          public JMSBridgeImpl(ConnectionFactoryFactory sourceCff,
                               ConnectionFactoryFactory targetCff,
                               DestinationFactory sourceDestinationFactory,
                               DestinationFactory targetDestinationFactory,
                               String sourceUsername,
                               String sourcePassword,
                               String targetUsername,
                               String targetPassword,
                               String selector,
                               long failureRetryInterval,
                               int maxRetries,
                               QualityOfServiceMode qosMode,
                               int maxBatchSize,
                               long maxBatchTime,
                               String subName,
                               String clientID,
                               boolean addMessageIDInHeader)

    - #### JMSBridgeImpl

          public JMSBridgeImpl(ConnectionFactoryFactory sourceCff,
                               ConnectionFactoryFactory targetCff,
                               DestinationFactory sourceDestinationFactory,
                               DestinationFactory targetDestinationFactory,
                               String sourceUsername,
                               String sourcePassword,
                               String targetUsername,
                               String targetPassword,
                               String selector,
                               long failureRetryInterval,
                               int maxRetries,
                               QualityOfServiceMode qosMode,
                               int maxBatchSize,
                               long maxBatchTime,
                               String subName,
                               String clientID,
                               boolean addMessageIDInHeader,
                               MBeanServer mbeanServer,
                               String objectName)

    - #### JMSBridgeImpl

          public JMSBridgeImpl(ConnectionFactoryFactory sourceCff,
                               ConnectionFactoryFactory targetCff,
                               DestinationFactory sourceDestinationFactory,
                               DestinationFactory targetDestinationFactory,
                               String sourceUsername,
                               String sourcePassword,
                               String targetUsername,
                               String targetPassword,
                               String selector,
                               long failureRetryInterval,
                               int maxRetries,
                               QualityOfServiceMode qosMode,
                               int maxBatchSize,
                               long maxBatchTime,
                               String subName,
                               String clientID,
                               boolean addMessageIDInHeader,
                               MBeanServer mbeanServer,
                               String objectName,
                               long failoverTimeout)

  - ### Method Detail

    - #### setBridgeName

          public JMSBridgeImpl setBridgeName(String name)

      Specified by:
        `setBridgeName` in interface `JMSBridge`

    - #### getBridgeName

          public String getBridgeName()

      Specified by:
        `getBridgeName` in interface `JMSBridge`

    - #### start

          public void start()
                     throws Exception

      Specified by:
        `start` in interface `org.apache.activemq.artemis.core.server.ActiveMQComponent`
      Throws:
        `Exception`

    - #### stop

          public void stop()
                    throws Exception

      Specified by:
        `stop` in interface `org.apache.activemq.artemis.core.server.ActiveMQComponent`
      Throws:
        `Exception`

    - #### isStarted

          public boolean isStarted()

      Specified by:
        `isStarted` in interface `org.apache.activemq.artemis.core.server.ActiveMQComponent`

    - #### destroy

          public void destroy()

    - #### pause

          public void pause()
                     throws Exception

      Specified by:
        `pause` in interface `JMSBridge`
      Throws:
        `Exception`

    - #### resume

          public void resume()
                      throws Exception

      Specified by:
        `resume` in interface `JMSBridge`
      Throws:
        `Exception`

    - #### getSourceDestinationFactory

          public DestinationFactory getSourceDestinationFactory()

      Specified by:
        `getSourceDestinationFactory` in interface `JMSBridge`

    - #### setSourceDestinationFactory

          public void setSourceDestinationFactory(DestinationFactory dest)

      Specified by:
        `setSourceDestinationFactory` in interface `JMSBridge`

    - #### getTargetDestinationFactory

          public DestinationFactory getTargetDestinationFactory()

      Specified by:
        `getTargetDestinationFactory` in interface `JMSBridge`

    - #### setTargetDestinationFactory

          public void setTargetDestinationFactory(DestinationFactory dest)

      Specified by:
        `setTargetDestinationFactory` in interface `JMSBridge`

    - #### getSourceUsername

          public String getSourceUsername()

      Specified by:
        `getSourceUsername` in interface `JMSBridge`

    - #### setSourceUsername

          public void setSourceUsername(String name)

      Specified by:
        `setSourceUsername` in interface `JMSBridge`

    - #### getSourcePassword

          public String getSourcePassword()

      Specified by:
        `getSourcePassword` in interface `JMSBridge`

    - #### setSourcePassword

          public void setSourcePassword(String pwd)

      Specified by:
        `setSourcePassword` in interface `JMSBridge`

    - #### getTargetUsername

          public String getTargetUsername()

      Specified by:
        `getTargetUsername` in interface `JMSBridge`

    - #### setTargetUsername

          public void setTargetUsername(String name)

      Specified by:
        `setTargetUsername` in interface `JMSBridge`

    - #### getTargetPassword

          public String getTargetPassword()

      Specified by:
        `getTargetPassword` in interface `JMSBridge`

    - #### setTargetPassword

          public void setTargetPassword(String pwd)

      Specified by:
        `setTargetPassword` in interface `JMSBridge`

    - #### getSelector

          public String getSelector()

      Specified by:
        `getSelector` in interface `JMSBridge`

    - #### setSelector

          public void setSelector(String selector)

      Specified by:
        `setSelector` in interface `JMSBridge`

    - #### getFailureRetryInterval

          public long getFailureRetryInterval()

      Specified by:
        `getFailureRetryInterval` in interface `JMSBridge`

    - #### setFailureRetryInterval

          public void setFailureRetryInterval(long interval)

      Specified by:
        `setFailureRetryInterval` in interface `JMSBridge`

    - #### getMaxRetries

          public int getMaxRetries()

      Specified by:
        `getMaxRetries` in interface `JMSBridge`

    - #### setMaxRetries

          public void setMaxRetries(int retries)

      Specified by:
        `setMaxRetries` in interface `JMSBridge`

    - #### getQualityOfServiceMode

          public QualityOfServiceMode getQualityOfServiceMode()

      Specified by:
        `getQualityOfServiceMode` in interface `JMSBridge`

    - #### setQualityOfServiceMode

          public void setQualityOfServiceMode(QualityOfServiceMode mode)

      Specified by:
        `setQualityOfServiceMode` in interface `JMSBridge`

    - #### getMaxBatchSize

          public int getMaxBatchSize()

      Specified by:
        `getMaxBatchSize` in interface `JMSBridge`

    - #### setMaxBatchSize

          public void setMaxBatchSize(int size)

      Specified by:
        `setMaxBatchSize` in interface `JMSBridge`

    - #### getMaxBatchTime

          public long getMaxBatchTime()

      Specified by:
        `getMaxBatchTime` in interface `JMSBridge`

    - #### setMaxBatchTime

          public void setMaxBatchTime(long time)

      Specified by:
        `setMaxBatchTime` in interface `JMSBridge`

    - #### getSubscriptionName

          public String getSubscriptionName()

      Specified by:
        `getSubscriptionName` in interface `JMSBridge`

    - #### setSubscriptionName

          public void setSubscriptionName(String subname)

      Specified by:
        `setSubscriptionName` in interface `JMSBridge`

    - #### getClientID

          public String getClientID()

      Specified by:
        `getClientID` in interface `JMSBridge`

    - #### setClientID

          public void setClientID(String clientID)

      Specified by:
        `setClientID` in interface `JMSBridge`

    - #### isAddMessageIDInHeader

          public boolean isAddMessageIDInHeader()

      Specified by:
        `isAddMessageIDInHeader` in interface `JMSBridge`

    - #### setAddMessageIDInHeader

          public void setAddMessageIDInHeader(boolean value)

      Specified by:
        `setAddMessageIDInHeader` in interface `JMSBridge`

    - #### isPaused

          public boolean isPaused()

      Specified by:
        `isPaused` in interface `JMSBridge`

    - #### isFailed

          public boolean isFailed()

      Specified by:
        `isFailed` in interface `JMSBridge`

    - #### getMessageCount

          public long getMessageCount()

      Specified by:
        `getMessageCount` in interface `JMSBridge`

    - #### getAbortedMessageCount

          public long getAbortedMessageCount()

      Specified by:
        `getAbortedMessageCount` in interface `JMSBridge`

    - #### setSourceConnectionFactoryFactory

          public void setSourceConnectionFactoryFactory(ConnectionFactoryFactory cff)

      Specified by:
        `setSourceConnectionFactoryFactory` in interface `JMSBridge`

    - #### setTargetConnectionFactoryFactory

          public void setTargetConnectionFactoryFactory(ConnectionFactoryFactory cff)

      Specified by:
        `setTargetConnectionFactoryFactory` in interface `JMSBridge`

    - #### setTransactionManager

          public void setTransactionManager(TransactionManager tm)

      Specified by:
        `setTransactionManager` in interface `JMSBridge`

    - #### isUseMaskedPassword

          public boolean isUseMaskedPassword()

      Specified by:
        `isUseMaskedPassword` in interface `JMSBridge`

    - #### setUseMaskedPassword

          public void setUseMaskedPassword(boolean maskPassword)

      Specified by:
        `setUseMaskedPassword` in interface `JMSBridge`

    - #### getPasswordCodec

          public String getPasswordCodec()

      Specified by:
        `getPasswordCodec` in interface `JMSBridge`

    - #### setPasswordCodec

          public void setPasswordCodec(String passwordCodec)

      Specified by:
        `setPasswordCodec` in interface `JMSBridge`

    - #### getFailoverTimeout

          public long getFailoverTimeout()

    - #### setFailoverTimeout

          public void setFailoverTimeout(long failoverTimeout)

Copyright © 2017 The Apache Software Foundation. All rights reserved.